Product / Content Bulk Delete API

Delete several products by supplying their product_ids.

To delete multiple products, make a POST request to the following URL:

POST /v1/products/_delete

The request body must contain a JSON object with an array of product_ids:

{
  "data": {
    "product_ids": [
      "product-1",
      "product-2",
      // ... more product_ids to delete
    ]
  }
}

Response Format

The API will return a JSON object with a message and an array of data containing a task_id that can be used to get the status of the bulk deletion process.

Example Successful Response

{
  "message": "deleted",
  "data": {
    "task_id": "{task_id}"
  }
}

To check the exact response body of this task_id, make a GET request to the following endpoint:

GET /v1/products/_status/{task_id}

Replace {task_id} with the task_id returned from the response.

Body·
required
application/json
  • data
    Type: object ·
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/v1/products/_delete
curl 'https://api.askmiso.com/v1/products/_delete?api_key=YOUR_SECRET_TOKEN' \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "product_ids": [
      ""
    ]
  }
}'
{
  "message": "success",
  "data": {
    "task_id": "string"
  }
}